## ngspice 28

=== debian/changelog ===
ngspice (28-3~bpo9+1) stretch-backports; urgency=medium

  [ Carsten Schoenert ]
  * Rebuild for stretch-backports.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 21 Oct 2018 06:25:32 +0200

ngspice (28-3) unstable; urgency=medium

  [ Carsten Schoenert ]
  * [3abcd8e] autopkgtest: use build-essential as dependency
    ci.d.n is still not happy, should be solved by the changes here.
  * [2a26aea] d/control: add various Multi-Arch fields
    The Multi-Arch check in the Tracker has spotted these changes as suggestion.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 15 Oct 2018 19:50:42 +0200

ngspice (28-2) unstable; urgency=medium

  [ Carsten Schoenert ]
  * [6c67992] d/control: fix typo in short description of libngspice0
    Thanks Jonas for spotting!
    (Closes: #910965)
  * [a9e3dab] debian/control: increase Standards-Version to 4.2.1
    No further changes needed.
  * [e5af9d4] d/tests/control: add missing tests dependencies
    The autopkgtest needs of course gcc and pkg-config.
  * [4c57cdc] rebuild patch queue from patch-queue branch
    added patches:
    fixes/configure.ac-add-additional-linker-flags-for-bsd.patch
    fixes/use-strerror-instead-of-sys_errlist.patch
  * [2ef45d6] ngspice: revert introduction of readline support
    We can't link against libreadline without a license change, so we will stay
    on libedit here.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 14 Oct 2018 16:08:25 +0200

ngspice (28-1) unstable; urgency=medium

  [ Carsten Schoenert ]
  * [0cf451f] debian/gbp.conf: adding helper for git-buildpackage
  * [46a1f0f] d/gbp.conf: add some more files to filter out
  * [6f82a23] d/gbp.conf: switch pristine-tar usage on
  * [5daa4f3] d/gbp.conf: add component 'doc'
  * [44659b5] New upstream version 28
    The new NGSpice upstream version is DFSG compatible and there is no need to
    do a packaging of a -dfsg version anymore.
    (Closes: #888489)
  * [e9ae83f] debian/control: wrap-and-sort the complete file
    Run w-a-s over the control file so it's much better readable for human.
  * [7de1e26] debian/copyright: fix up some white-space issues
  * [c0a30d9] d/{compat,control}: bump debhelper to version 11
    The actual debhelper version is 11 and there is no reason to not switch over
    to this version in unstable.
  * [ab6a5cd] debian/control: bump Standards-Version to 4.1.4
    No further action needed for this version bump from 4.1.2.
  * [aa23ade] d/*.dirs: remove old dh files for dirs
    The debian/*.dirs files got removed as recent debhelper will create the
    needed folders automatically. This decreases the amount of files in the
    debian folder.
  * [6b9deef] libngspice0: adding new library about ngspice
    The NGSpice source provides the possibility to create shared library
    libngspice for some time which can be used to get access to the simulation
    functions of ngpsice. This library wasn't provided by previous packaging
    work. (Closes: #834335)
  * [77ab434] debian/ngspice.install: remove folder /u/l/ngspice
    Modify the debhelper sequencer as libraries are not installed into the
    ngspice binary package now and have there own packages.
  * [ef2b528] debian/rules: migrating to debhelper style
    Rewrite the whole rules files to migrate it over to debhelper style. This
    improves the readability in many ways.
  * [9de06e7] rebuild patch queue from patch-queue branch
    added patches:
    fixes/spelling-fixing-some-misspelled-words.patch
    fixes/spelling-fixing-more-misspelled-words.patch
    reproducible/Allow-one-to-override-build-date.patch

    removed patch (obsolete / adopted upstream):
    01_fix_manpages.patch
    02_fix_tcl_examples.patch
  * [656c866] debian/control: remove reference to non-free
    With the DFSG compatible source the source package don't need to get into
    no-free.
  * [012b1e4] move maintainership over to Debian Electronics Team
    After some conversations about the future maintainer-ship of ngspice Gudjon
    I. Gudjonsson and Andreas Tille agreed on the movement to the Debian
    Electronics group.
    Of course I want to thank all people who spend their time on doing any
    maintaining work in ngspice!
  * [5e04896] libngspice0-dev.install.in: update header install
    The libngspice-dev package is only containing one header file and it's gonna
    installed into the typical folder for public headers.
  * [8b7ecb6] libngspice0-dev: small change to the description
    Adding a small suffix to the short description so it's better visible about
    the use case for this package.
  * [44b2625] manpages: drop no longer needed local hold manpages
    The manpages are included in the upstream source since version 27. No need
    to ship them inside Debian anymore.
  * [4ce54e5] ngspice: drop --with-editline in favor of --with-readline
    (Closes: #834247)
  * [5aa3be1] debian/rules: update helper and targets for build
    The build of the source requires three stages (as for ngspice, libngspice
    and tclspice) of configuring and building as some configure options are
    prohibitive each other.
    Creating dedicated variables with such configure options which are used
    later in the dh_auto_configure target.
  * [fa60633] debian/control: update tclspice package
    The tclspice package is mainly providing a shared library which is depending
    on same ngspice package version.
    Rephrase a bit the package description. And the fields 'Replace" and
    "Breaks" on the tclspice-dev package isn't needed anymore.
  * [1683ca1] ngspice-dev: adding new binary package
    By creating libngspice-dev with it's own required header file and the
    dropping of the installation of the other header files in the ngspice
    package we need to create a new -dev package for ngspice.
    This is fulfilled by this new package ngspice-dev which includes the
    remaining header files and the dev link of libspice0.so.

