## ngspice 29

=== debian/changelog ===
ngspice (29-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 30 Oct 2018 18:06:26 +0100

ngspice (29-1) unstable; urgency=medium

  [ Carsten Schoenert ]
  * [1d92fbd, 31abca1] adding B-D to libngspice0 and tclspice symbols files
    The symbols files need the information about the depending required -dev
    packages.
  * [1cbcc55] d/gbp.conf: update import filter, more files to ignore
    Upstream has changed the shipped files and folders, we need to filter out
    now some more folders due unclear license situation. These are all examples
    we anyway had never shipped within the packaging.
  * [3c5bab5] New upstream version 29
  * [ff53ffe] rebuild patch queue from patch-queue branch
    removed patches (mostly previously cherry-picked):
    fixes/configure.ac-add-additional-linker-flags-for-bsd.patch
    fixes/use-strerror-instead-of-sys_errlist.patch
    reproducible/Allow-one-to-override-build-date.patch
  * [78ac3a6] d/control: increase B-D on lyx to >= 2.2
    Be more explicit on the required lyx version, 2.2 is anyway available
    started with Debian Stretch 9.0. Version 29 is requiring this version now.
  * [d098e0d] cme: update helper files for cme
    We use the cme helper to rework the copyright file, adding some updates to
    the yaml files so cme is detecting more thing automatically.
  * [9f887eb] d/copyright: update after upstream changes
  * [66c6cf1] d/rules: modify the build of doc/ folder
    Using $(CURDIR) here so the build id using absolute path instead of relative
    calls, should make the build reproducible (hopefully :-) ).
  * [f3943a4] ngspice: install some more scripts
    Some more ngspice related script added to the installation (ciderinit,
    devaxis, devload).

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 28 Oct 2018 11:31:11 +0100
