=== debian/control ===
--- 
+++ 
@@ -24,7 +24,7 @@
  tk8.6-dev,
 Build-Depends-Indep:
  imagemagick,
- lyx,
+ lyx (>= 2.2),
  texlive,
  texlive-generic-recommended,
  texlive-lang-greek,
