## ngspice 30.2

=== debian/changelog ===
ngspice (30.2-1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 17 Apr 2019 11:47:23 -0700

ngspice (30.2-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 03 Jan 2019 09:23:44 +0100

ngspice (30.2-1) unstable; urgency=medium

  * [bec4464] New upstream version 30.2
    (Closes: #917674)
  * [a4a68e0] rebuild patch queue from patch-queue branch
    added patch:
    fixes/spelling-fixing-misspelled-word-Re-encode.patch

    removed patches (applied upstream):
    fixes/Makefile.am-add-copyright-and-license-information.patch
    fixes/Makefile.am-add-sanity-checks-called-by-distcheck.patch
    fixes/Makefile.am-add-targets-for-cleanup-and-uninstallation.patch
    fixes/Makefile.am-add-variables-GRAPHIC-LYX-_FILES.patch
    fixes/Makefile.am-adding-a-target-for-manual.html.patch
    fixes/Makefile.am-adding-some-magic-for-installing.patch
    fixes/Makefile.am-adjust-target-upload.patch
    fixes/Makefile.am-adopt-LYX_USER_DIR-into-lyx-call.patch
    fixes/Makefile.am-remove-non-portable-wildcard-calls.patch
    fixes/Makefile.am-updating-target-manual.pdf.patch
    fixes/configure.ac-adding-copyright-and-licensing-information.patch
    fixes/configure.ac-adding-with-lyxuserdir-option.patch
    fixes/configure.ac-update-information-how-to-create-configure.patch
    fixes/configure.ac-update-lyx-binary-check.patch
  * [e440e70] d/copyright: update due upstream changes
  * [32ef221] debian/control: increase Standards-Version to 4.3.0
    No further changes needed.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 01 Jan 2019 14:07:33 +0100

ngspice (29-2) unstable; urgency=medium

  [ Carsten Schoenert ]
  * [acd6326] rebuild patch queue from patch-queue branch
    added patches:
    fixes/Makefile.am-add-sanity-checks-called-by-distcheck.patch
    fixes/Makefile.am-add-targets-for-cleanup-and-uninstallation.patch
    fixes/Makefile.am-add-variables-GRAPHIC-LYX-_FILES.patch
    fixes/Makefile.am-adding-a-target-for-manual.html.patch
    fixes/Makefile.am-adding-some-magic-for-installing.patch
    fixes/Makefile.am-adjust-target-upload.patch
    fixes/Makefile.am-adopt-LYX_USER_DIR-into-lyx-call.patch
    fixes/Makefile.am-remove-non-portable-wildcard-calls.patch
    fixes/Makefile.am-updating-target-manual.pdf.patch
    fixes/configure.ac-adding-copyright-and-licensing-information.patch
    fixes/configure.ac-adding-with-lyxuserdir-option.patch
    fixes/configure.ac-update-information-how-to-create-configure.patch
    fixes/configure.ac-update-lyx-binary-check.patch
    fixes/spelling-fixing-misspelled-word-dependance.patch
  * [8c1703c] d/rules: rework the installation of ngspice-doc
    Due the new added patches, which are also forwarded to upstream, the
    ngspice-doc package can now also be installed like other software. The
    build was modified so the sequencer files can be used the usual way.
    This also should make the package reproducible finally.
    (Closes: #915236)
  * [88c94d4] d/ngspice-doc.install: change source for installation
    Updating the installation sequencer for the documentation package.
  * [e50e956] d/ngspice-doc.doc-base: manual.html is getting installed
    Small adjustment due renamed HTML file.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 10 Dec 2018 13:30:46 +0100
