=== debian/rules ===
--- 
+++ 
@@ -48,6 +48,13 @@
 	--with-tcl=/usr/lib/tcl8.6 \
 	$(NULL)
 
+DEB_NGSPICE_DOC_CONFIGURE_OPTS := \
+	--prefix=/usr \
+	--docdir=\$${prefix}/share/doc/ngspice-doc \
+	--htmldir=\$${prefix}/share/doc/ngspice-doc \
+	--with-lyxuserdir=$(CURDIR)/$(DEB_BUILD_DIR)/lyxuserdir \
+	$(NULL)
+
 PREPROCESS_FILES := $(wildcard debian/*.in)
 
 $(PREPROCESS_FILES:.in=): %: %.in
@@ -73,6 +80,15 @@
 	# configure tclspice library #
 	##############################
 	dh_auto_configure --sourcedirectory=$(CURDIR) --builddirectory=$(DEB_BUILD_DIR)/tclspice -- $(DEB_TCLSPICE_CONFIGURE_OPTS)
+
+override_dh_auto_configure-indep:
+	#
+	###################################
+	# configure ngspice documentation #
+	###################################
+	cd doc ; autoreconf -vi
+	mkdir -p $(DEB_BUILD_DIR)/lyxuserdir/cache
+	dh_auto_configure --sourcedirectory=$(CURDIR)/doc --builddirectory=$(DEB_BUILD_DIR)/ngspice-doc -- $(DEB_NGSPICE_DOC_CONFIGURE_OPTS)
 
 override_dh_auto_build:
 	#
@@ -101,9 +117,9 @@
 	###############################
 	dh_auto_install --destdir=$(INSTDIR) --sourcedirectory=$(CURDIR) --builddirectory=$(DEB_BUILD_DIR)/tclspice
 	#
-	##################################
+	###################################
 	# installing ngspice applications #
-	##################################
+	###################################
 	dh_auto_install --destdir=$(INSTDIR) --sourcedirectory=$(CURDIR) --builddirectory=$(DEB_BUILD_DIR)/ngspice
 	#
 	#################################
@@ -115,15 +131,11 @@
 
 override_dh_install-indep:
 	#
-	###########################
-	# building ngspice manual #
-	###########################
-	mkdir -p $(DEB_BUILD_DIR)/doc
-	rm -f doc/manual.pdf
-	# We need the unusual exit call at the end, the lyx call is finishing with a exitcode != 0.
-	cd doc ;\
-		lyx -userdir $(CURDIR)/$(DEB_BUILD_DIR)/doc --export pdf2 manual.lyx | exit 0 ;\
-		lyx -userdir $(CURDIR)/$(DEB_BUILD_DIR)/doc --export xhtml manual.lyx
+	##################################
+	# building ngspice documentation #
+	##################################
+	rm -f $(CURDIR)/doc/manual.pdf
+	dh_auto_install --destdir=$(INSTDIR) --sourcedirectory=$(CURDIR)/doc --builddirectory=$(DEB_BUILD_DIR)/ngspice-doc
 	dh_install
 
 override_dh_install-arch:
@@ -136,3 +148,6 @@
 	done
 
 override_dh_auto_test:
+
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
