## ngspice 31.3

=== debian/changelog ===
ngspice (31.3-2) unstable; urgency=medium

  * [828a246] autopkgtest: fix gcc argument order
    This makes autopkgtest working again.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 27 Oct 2019 10:07:06 +0100

ngspice (31.3-1) unstable; urgency=medium

  [ Steve Langasek ]
  * [a8eb461] d/control: update B-D to texlive-plain-generic package
    (Closes: #941542)

  [ Carsten Schoenert ]
  * [bc16bac] d/control: increase Standards-Version to 4.4.1
    No further changes needed.
  * [d586bcb] New upstream version 31.3

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 09 Oct 2019 18:01:32 +0200

ngspice (31.2-1) unstable; urgency=medium

  * [0d07c7a] New upstream version 31.2
  * [b3ae898] drop patches from patchqueue branch
    All Debian specific patches are now applied upstream.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 29 Sep 2019 10:09:36 +0200

ngspice (31-1) unstable; urgency=medium

  * [4b34b88] d/README.source: update location of the git tree
    The packaging repository has moved over to Salsa as Alioth is now
    history.
  * [3fbb2a4] New upstream version 31
  * [7c54745] d/control: increase Standards-Version to 4.4.0
    No further changes needed.
  * [7eff4c3] dh: move over to debhelper-compat
  * [1dcf6b8] rebuild patch queue from patch-queue branch
    added patches:
    fixes/spelling-fix-multiple-misspelled-words.patch
    fixes/tclspice-avoid-get_plot-function-type-conflict.patch

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 28 Sep 2019 13:29:08 +0200
