=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: ngspice
 Section: electronics
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian Electronics Team <pkg-electronics-devel@alioth-lists.debian.net>
+Maintainer: Debian Electronics Team <pkg-electronics-devel@alioth-lists.debian.net>
 Uploaders:
  Gudjon I. Gudjonsson <gudjon@gudjon.org>,
  Andreas Tille <tille@debian.org>,
@@ -11,7 +10,7 @@
  automake,
  bison,
  blt-dev,
- debhelper (>= 11~),
+ debhelper-compat (= 12),
  flex,
  gfortran,
  libedit-dev,
@@ -27,11 +26,11 @@
  imagemagick,
  lyx (>= 2.2),
  texlive,
- texlive-generic-recommended,
  texlive-lang-greek,
  texlive-latex-extra,
+ texlive-plain-generic,
  texlive-science,
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/electronics-team/ngspice
 Vcs-Git: https://salsa.debian.org/electronics-team/ngspice.git
 Homepage: http://ngspice.sourceforge.net
