=== debian/rules ===
--- 
+++ 
@@ -148,6 +148,3 @@
 	done
 
 override_dh_auto_test:
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
