=== debian/watch ===
# watch file for NGspice

# Upstream isn't doing any signed releases on
#    https://sourceforge.net/projects/ngspice/files/ng-spice-rework/
# By this and due the currently needed repacking for DFSG compliance
# of the source tarball we can't use any cryptographic signature
# verification and don't use 'pgpsigurlmangle'.

# opts= ...
# pgpsigurlmangle=s/archive\/(\d\S+)\.tar\.gz/releases\/download\/$1\/$1\.tar\.gz\.asc/ \
# ...

version=4

opts="dversionmangle=s/\+dfsg(\.?\d+)?$//" \
http://sf.net/ngspice/ngspice-([0-9].*)\.tar\.gz
