## ngspice 32.2%2Bds

=== debian/changelog ===
ngspice (32.2+ds-1~bpo9+1) stretch-backports-sloppy; urgency=medium

  * Rebuild for stretch-backports.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 16 May 2020 08:46:27 +0200

ngspice (32.2+ds-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 16 May 2020 07:21:57 +0200

ngspice (32.2+ds-1) unstable; urgency=medium

  * [47b30a3] New upstream version 32.2+ds
  * [c9ed6b7] d/rules: More split of into -arch/-indep targets
    Doing some more visible separation of the steps for the -indep and -arch
    related for building and installation.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 14 May 2020 11:33:20 +0200

ngspice (32+ds-1) unstable; urgency=medium

  * [e37285e] d/watch: use git mode for catching upstream versions
  * [b898aa9] New upstream version 32+ds
  * [4999e39] d/control: increase Standards-Version to 4.5.0
    No further changes needed.
  * [871b711] build patch queue from patch-queue branch
    Adding again a patch queue, currently just one patch to fix misspelled
    words.
    added patch:
    fixes/spelling-fix-multiple-misspelled-words.patch
  * [290d3a9] d/copyright: update due upstream changes
  * [e3b352a] d/control: adding Rules-Requires-Root to source section

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 07 May 2020 10:51:44 +0200

ngspice (31.3-1~bpo9+1) stretch-backports-sloppy; urgency=medium

  * Rebuild for stretch-backports.
  * [2ae176f] Revert "d/control: update B-D to texlive-plain-generic package"
  * [d4b9145] Revert "d/control: increase Standards-Version to 4.4.1"
  * [28b1c23] Revert "d/control: increase Standards-Version to 4.4.0"
  * [b143792] Revert "dh: move over to debhelper-compat"
  * [0e9df8d] d/control: increase B-D on lyx to 2.3.2-1~

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 25 Oct 2019 15:53:56 +0200

ngspice (31.3-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports
  * [14e5583] d/gbp.conf: adjust to target buster

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 17 Oct 2019 20:55:46 +0200
