## ngspice 32.2+ds

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  automake,
  bison,
  blt-dev,
- debhelper-compat (= 12),
+ debhelper (>= 11~),
  flex,
  gfortran,
  libedit-dev,
@@ -24,13 +24,13 @@
  tk8.6-dev,
 Build-Depends-Indep:
  imagemagick,
- lyx (>= 2.2),
+ lyx (>= 2.3.2-1~),
  texlive,
+ texlive-generic-recommended,
  texlive-lang-greek,
  texlive-latex-extra,
- texlive-plain-generic,
  texlive-science,
-Standards-Version: 4.4.1
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/electronics-team/ngspice
 Vcs-Git: https://salsa.debian.org/electronics-team/ngspice.git
 Homepage: http://ngspice.sourceforge.net
