## ngspice 33+ds

=== debian/changelog ===
ngspice (33+ds-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 22 Oct 2020 07:58:40 +0200

ngspice (33+ds-1) unstable; urgency=medium

  * [e1f7a31] New upstream version 33+ds
  * [7c0e82e] rebuild patch queue from patch-queue branch
    added patch:
    fixes/spelling-fix-misspelled-word-Unusual.patch

    removed patch (fixed upstream):
    fixes/spelling-fix-multiple-misspelled-words.patch

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 18 Oct 2020 19:24:59 +0200
