=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  automake,
  bison,
  blt-dev,
- debhelper (>= 11~),
+ debhelper-compat (= 12),
  flex,
  gfortran,
  libedit-dev,
@@ -24,13 +24,14 @@
  tk8.6-dev,
 Build-Depends-Indep:
  imagemagick,
- lyx (>= 2.3.2-1~),
+ lyx (>= 2.2),
  texlive,
- texlive-generic-recommended,
  texlive-lang-greek,
  texlive-latex-extra,
+ texlive-plain-generic,
  texlive-science,
-Standards-Version: 4.3.0
+Rules-Requires-Root: binary-targets
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/electronics-team/ngspice
 Vcs-Git: https://salsa.debian.org/electronics-team/ngspice.git
 Homepage: http://ngspice.sourceforge.net
