=== debian/rules ===
--- 
+++ 
@@ -90,7 +90,7 @@
 	mkdir -p $(DEB_BUILD_DIR)/lyxuserdir/cache
 	dh_auto_configure --sourcedirectory=$(CURDIR)/doc --builddirectory=$(DEB_BUILD_DIR)/ngspice-doc -- $(DEB_NGSPICE_DOC_CONFIGURE_OPTS)
 
-override_dh_auto_build:
+override_dh_auto_build-arch:
 	#
 	#################################
 	# building ngspice applications #
@@ -107,7 +107,14 @@
 	#############################
 	dh_auto_build --sourcedirectory=$(CURDIR) --builddirectory=$(DEB_BUILD_DIR)/tclspice
 
-override_dh_auto_install: $(PREPROCESS_FILES:.in=)
+override_dh_auto_build-indep:
+	#
+	##################################
+	# building ngspice documentation #
+	##################################
+	dh_auto_build --sourcedirectory=$(CURDIR)/doc --builddirectory=$(DEB_BUILD_DIR)/ngspice-doc
+
+override_dh_auto_install-arch: $(PREPROCESS_FILES:.in=)
 	# We need to install the libngspice and tclspice build first
 	# and after that the build of the ngspice applications with
 	# X support at the end.
@@ -131,9 +138,9 @@
 
 override_dh_install-indep:
 	#
-	##################################
-	# building ngspice documentation #
-	##################################
+	####################################
+	# installing ngspice documentation #
+	####################################
 	rm -f $(CURDIR)/doc/manual.pdf
 	dh_auto_install --destdir=$(INSTDIR) --sourcedirectory=$(CURDIR)/doc --builddirectory=$(DEB_BUILD_DIR)/ngspice-doc
 	dh_install
