=== debian/watch ===
--- 
+++ 
@@ -12,5 +12,7 @@
 
 version=4
 
-opts="dversionmangle=s/\+dfsg(\.?\d+)?$//" \
-http://sf.net/ngspice/ngspice-([0-9].*)\.tar\.gz
+opts="mode=git, uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/, \
+  dversionmangle=s/\+ds(\.?\d+)?$//" \
+  https://git.code.sf.net/p/ngspice/ngspice.git \
+  refs/tags/ngspice-(\d+(?:\d+\-\d+|\d+\.\d+))
