=== debian/changelog ===
ngspice (34+ds-1) unstable; urgency=medium

  * [b1e7a76] New upstream version 34+ds
  * [4806596] rebuild patch queue from patch-queue branch
    added patch:
    fixes/spelling-fix-misspelled-word-Interal.patch

    removed patch (fixed upstream):
    fixes/spelling-fix-misspelled-word-Unusual.patch
  * [cfa1142] d/rules: Don't include  in default options
    Using this configure option in the base variable for all configuration
    would provoke a wrongly included symbol history_file into the shared
    library now. Some protection from upstream to prevent this is on the way,
    for now we can prevent this issue by only using --with-editline for the
    configuration of the ngspice CLI application.
  * [61821a9] ngspice-dev.install.in: adjust sequencer file
    Upstream isn't installing quite any header for ngspice-dev any more as
    they are all useless for the intended purpose.
  * [ea9d4d9] ngspice.install.in: also adjust this sequencer file
    The old folder contrib/ is gone and can't get installed, also the only
    C file we have installed previously.
  * [74ecde5] d/rules: remove config.h before dh_install
    The config.h file shouldn't even get installed, but for sure we don't
    want to ship this file, remove the file before the install sequence is
    getting called.
  * [db52d5f] ngspice.lintian-overrides: dropping non needed file
    This override isn't needed any more, the root for the override isn't
    included now.
  * [bdb931d] d/copyright: update due upstream changes
  * [6edfb76] d/libngspice0.symbols: adding newly introduced symbols
  * [c060e17] d/control: increase Standards-Version to 4.5.1
    No further changes needed.
  * [c609b51] d/u/metadata: starting with basic metadata
  * [baab51a] d/control: increase dh version to 13
  * [1a8fbbe] d/watch: updating watch logic

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 31 Jan 2021 12:43:30 +0100
