=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  automake,
  bison,
  blt-dev,
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  flex,
  gfortran,
  libedit-dev,
@@ -31,7 +31,7 @@
  texlive-plain-generic,
  texlive-science,
 Rules-Requires-Root: binary-targets
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/electronics-team/ngspice
 Vcs-Git: https://salsa.debian.org/electronics-team/ngspice.git
 Homepage: http://ngspice.sourceforge.net
