=== debian/rules ===
--- 
+++ 
@@ -22,7 +22,6 @@
 DEB_DEFAULT_CONFIGURE_OPTS := \
 	--prefix=/usr \
 	--mandir=\$${prefix}/share/man \
-	--with-editline=yes \
 	--enable-cider \
 	--enable-maintainer-mode \
 	--enable-openmp \
@@ -34,6 +33,7 @@
 
 DEB_NGSPICE_CONFIGURE_OPTS := \
 	$(DEB_DEFAULT_CONFIGURE_OPTS) \
+	--with-editline=yes \
 	--with-x \
 	$(NULL)
 
@@ -146,8 +146,9 @@
 	dh_install
 
 override_dh_install-arch:
+	# Ignore the config.h file, it shouldn't be here anyway.
+	rm -f debian/tmp/usr/include/config.h
 	dh_install
-	rm debian/ngspice-dev/usr/include/ngspice/sharedspice.h
 	# The example scripts contains a wrong path to the libspice0 library after
 	# we have installed them into the package.
 	for file in `find debian/tclspice/usr/share/doc/tclspice/examples -type f -name "*.sh"`; do \
