=== debian/watch ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# watch file for NGspice
+# watch file for NGSpice
 
 # Upstream isn't doing any signed releases on
 #    https://sourceforge.net/projects/ngspice/files/ng-spice-rework/
@@ -12,7 +12,11 @@
 
 version=4
 
-opts="mode=git, uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/, \
+opts="mode=git, \
+  uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/; \
+                 s/\.\.//,\
+                 s/\_\.//,\
+                 s/\-\.//,\
   dversionmangle=s/\+ds(\.?\d+)?$//" \
   https://git.code.sf.net/p/ngspice/ngspice.git \
-  refs/tags/ngspice-(\d+(?:\d+\-\d+|\d+\.\d+))
+  refs/tags/ngspice-(\d{2}(?:|\.\d+|_\d+|-\d))
