## ngspice 35+ds

=== debian/changelog ===
ngspice (35+ds-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * [6372501] d/gbp.conf: Adjust to target bullseye

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 22 Aug 2021 12:15:39 +0200

ngspice (35+ds-1) unstable; urgency=medium

  * [53d3331] d/libngspice0.symbols: Mark symbols as optional
    Some symbols on ppc64el will get optimized out by the used -O3 flag on
    that architecture. Marking the symbols in question as optional prevents
    FTBFS for this architecture.
    (Closes: #984677)
  * [0d1da9e] d/watch: fix wrong substitution syntax
  * [92691d9] d/control: Mark ngspice-dev as Multi-Arch: same
  * [d71d66e] New upstream version 35+ds
  * [a0c11db] d/libngspice0.install.in: Be more flexible on versions
    Upstream now does a proper versioning of the libngspice library, thus we
    can't use a static file name any more for installing libngspice.so*.
  * [4e64882] Drop the current patch queue
    No patch queue is currently needed.
  * [f95af61] Revert "d/control: Mark ngspice-dev as Multi-Arch: same"
    The depending package tclspice for ngspice-dev isn't multi archified due
    architecture specific build, thus we can't set 'Multi-Arch: same' on
    ngspice-dev.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 09 Aug 2021 20:06:56 +0200
