## ngspice 36+ds

=== debian/changelog ===
ngspice (36+ds-1ubuntu0.1) jammy; urgency=medium

  * d/p/fixes/segfault-fix-modprobe.patch: Fix ngspice crash with
    trivial input. (LP: #2048906)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Mon, 11 Mar 2024 21:44:53 +0000

ngspice (36+ds-1) unstable; urgency=medium

  * [ef23797] d/gbp.conf: Add more files to exclude list
    Upstream added some examples files which doesn't seems to be licensed
    by a DFSG compliant license. So we filter them out.
  * [38b970a] New upstream version 36+ds
  * [b22fd7c] Add patch from patch queue branch
    Added patches:
    fixes/spelling-Fix-misspelled-word-Instnace.patch
  * [ff20288] d/control: Increase Standards-Version to 4.6.0
    No further changes needed.
  * [ed92eab] d/copyright: Updating section Files-Excluded
    Document the new added files we have excluded while tarball import.
  * [f98e83a] d/ngspice.docs: Include file README.optran to install
  * [a07b218] d/rules: Correct path to spice2poly.cm within examples
    One of the tclspice examples uses spice2poly.cm, which is installed into
    the directory /usr/lib/$(DEB_HOST_MULTIARCH)/ngspice, and we need to
    adjust the folder within the example.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 01 Jan 2022 19:54:42 +0100
